# Get-RASAutoUpgradeMessage.md

## NAME

Get-RASAutoUpgradeMessage

## SYNOPSIS

Retrieves schedule message information from Auto-upgrade settings.

## SYNTAX

\*\*Get-RASAutoUpgradeMessage -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} \[[MessageId](#messageid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAutoUpgradeMessage \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[[MessageId](#messageid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAutoUpgradeMessage \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[[MessageId](#messageid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves schedule message information from Auto-upgrade settings.

## PARAMETERS

## MessageId (uint)

Auto-upgrade job message ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name or server for which to retrieve the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Auto-upgrade settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to retrieve the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([HostPoolObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/hostpoolobjtype))

The Object Type for which to retrieve the Auto-upgrade settings.

Possible values: RDSHostPool, VDIHostPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype))

The Default Object Type for which to retrieve the Auto-upgrade settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[ScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedulemessage)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAutoUpgradeMessage -DefObjType RDSDef

Retrieves the list of Messages from the Auto-upgrade settings of the RDS Default Settings.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAutoUpgradeMessage -Name "VDIHostPool1" -ObjType VDIHostPool

Retrieves the list of Messages from the Auto-upgrade settings of the specified VDIHostPool by Name.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAutoUpgradeMessage -Id 1 -ObjType AVDHostPool

Retrieves the list of Messages from the Auto-upgrade settings of the specified AVDHostPool by Id.

## RELATED LINKS

* [Get-RASAutoUpgrade](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrade)
* [Add-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasautoupgrademessage)
* [Set-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrademessage)
* [Remove-RASAutoUpgradeMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasautoupgrademessage)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrademessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
